Bug 188776 - [PATCH] www/py-TurboGears2: stage
Summary: [PATCH] www/py-TurboGears2: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-18 22:30 UTC by Bartek Rutkowski
Modified: 2014-05-13 13:10 UTC (History)
1 user (show)

See Also:


Attachments
py-TurboGears2-2.1.4.patch (675 bytes, patch)
2014-04-18 22:30 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-18 22:30:00 UTC
- Stage
- Drop easy_install
- Use auto pkg-plist
- Delete pkg-plist
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-TurboGears/1.5.1_2/

Port maintainer (wenheping@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-18 22:30:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

wenheping@gmail.com => wen@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-18 22:30:06 UTC
Maintainer of www/py-turbogears2,

Please note that PR ports/188776 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188776

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-04-18 22:30:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2014-05-13 13:09:56 UTC
Author: wen
Date: Tue May 13 12:09:49 2014
New Revision: 353936
URL: http://svnweb.freebsd.org/changeset/ports/353936
QAT: https://qat.redports.org/buildarchive/r353936/

Log:
  - Stage support [1]
  - Convert to PYDISTUTILS_AUTOPLIST [1]
  - Pet portlint [1]
  - Update my email to FreeBSD
  
  PR:		188776 [1]
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com> [1]

Deleted:
  head/www/py-turbogears2/pkg-plist
Modified:
  head/www/py-turbogears2/Makefile
  head/www/py-turbogears2/distinfo
  head/www/py-turbogears2/pkg-descr

Modified: head/www/py-turbogears2/Makefile
==============================================================================
--- head/www/py-turbogears2/Makefile	Tue May 13 12:06:33 2014	(r353935)
+++ head/www/py-turbogears2/Makefile	Tue May 13 12:09:49 2014	(r353936)
@@ -7,7 +7,7 @@ CATEGORIES=	www python
 MASTER_SITES=	http://www.turbogears.org/2.1/downloads/${PORTVERSION}/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
-MAINTAINER=	wenheping@gmail.com
+MAINTAINER=	wen@FreeBSD.org
 COMMENT=	Python-Based Framework for Rapid Web Development
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}ToscaWidgets>=0.9.4:${PORTSDIR}/devel/py-ToscaWidgets \
@@ -30,8 +30,8 @@ RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Tosc
 		${PYTHON_PKGNAMEPREFIX}mako>=0:${PORTSDIR}/textproc/py-mako \
 		${PYTHON_PKGNAMEPREFIX}Babel>=0.9.4:${PORTSDIR}/devel/py-babel
 
-USE_PYTHON=	yes
-USE_PYDISTUTILS=	easy_install
+USE_PYTHON=		yes
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/www/py-turbogears2/distinfo
==============================================================================
--- head/www/py-turbogears2/distinfo	Tue May 13 12:06:33 2014	(r353935)
+++ head/www/py-turbogears2/distinfo	Tue May 13 12:09:49 2014	(r353936)
@@ -1,2 +1,2 @@
-SHA256 (TurboGears2-2.1.4.tar.gz) = 58a6a2f6ac733f99c7ff4a97611251556c1c5f25304d1ebce9c62c99a1ee5459
-SIZE (TurboGears2-2.1.4.tar.gz) = 78808
+SHA256 (TurboGears2-2.1.4.tar.gz) = 9c511883cb90df0ec61334482ea205754fdbd69e13fa63b4e118eea3d2b394cd
+SIZE (TurboGears2-2.1.4.tar.gz) = 78802

Modified: head/www/py-turbogears2/pkg-descr
==============================================================================
--- head/www/py-turbogears2/pkg-descr	Tue May 13 12:06:33 2014	(r353935)
+++ head/www/py-turbogears2/pkg-descr	Tue May 13 12:09:49 2014	(r353936)
@@ -16,4 +16,4 @@ but we have now invested in a set of com
 continue to be at the center of python web development for years to
 come.
 
-WWW:	http://www.turbogears.org/
+WWW: http://www.turbogears.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Wen Heping freebsd_committer 2014-05-13 13:10:25 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!